# how to reduce bundle size


in the `webpack.config.dist.js` file enable the line `new BundleAnalyzerPlugin()`
to see which modules are big

- https://hackernoon.com/optimising-your-application-bundle-size-with-webpack-e85b00bab579
- https://medium.com/@rajaraodv/two-quick-ways-to-reduce-react-apps-size-in-production-82226605771a
- https://stackoverflow.com/questions/35250500/correct-way-to-import-lodash
  - done
  
  
- https://medium.com/@martin_hotell/tree-shake-lodash-with-webpack-jest-and-typescript-2734fa13b5cd
  - not working??
  

- http://blog.rangle.io/optimize-your-angular2-application-with-tree-shaking/ 
  
- highlight.js (https://github.com/conorhastings/react-syntax-highlighter/issues/78) (https://bjacobel.com/2016/12/04/highlight-bundle-size/)
  - see setup.js - we only included necessary langs
- lodash
  - only include used functions like `import {orderBy} from 'lodash-es'`
- moment.js
  - https://webpack.js.org/plugins/context-replacement-plugin/
  - see `webpack.config.dist.js` wich only includes `de|en` langs via webpack.ContextReplacementPlugin
  
  
  
### minification?
we use the `webpack.optimize.UglifyJsPlugin` to minify the output
`webpack-bundle-analyzer` displays the minidifed size in the tooltip in the second row (**parsed size**) 


TODO somehow reduce
- brace
- semantic ui react
- rechart
- lodash


TODO webpack bundle in chunks aufteilen --> schnelleres bundeln und kleinere größe
