/**
 * Created by janis dähne.
 */

import * as React from "react";
import {CSSProperties} from "react";


export interface MyProps {
  readonly className?: string
  readonly style?: CSSProperties
}

export const SimpleVDivider: React.SFC<MyProps> = (props) => {
  return (
    <div className={'simple-vertical-divider' + (props.className ? ' ' + props.className : '')}
         style={{...props.style}}
    >
    </div>
  )
}
