/**
 * Created by janis dähne.
 */

import * as React from "react";
import {connect} from "react-redux";
import {bindActionCreators, Dispatch} from "redux";
import {returntypeof} from 'react-redux-typescript';
import {RootState} from "../../../../state/reducers";
import markdownIt from '../../../../helpers/markdownHelper'

//const css = require('./styles.styl');

export interface MyProps {
  //readonly test: string
}

const mapStateToProps = (rootState: RootState /*, props: MyProps*/) => {
  return {
    //test0: rootState...
    //test: props.test
  }
}

const mapDispatchToProps = (dispatch: Dispatch) => bindActionCreators({
  //imported reducer funcs here

}, dispatch)


const stateProps = returntypeof(mapStateToProps);
const dispatchProps = returntypeof(mapDispatchToProps);
type Props = typeof stateProps & typeof dispatchProps;

declare var require: any
const markdown = require('../../../../questionSystem/exerciseQuestionSyntaxGuide.md')
const helpMarkdown = markdownIt.render(markdown)

class exerciseSyntaxHelpPanelView extends React.Component<Props, any> {
  render(): JSX.Element {

    const content = {
      __html: helpMarkdown
    }

    return (
      <div className="fh markdown-guide">
        <div dangerouslySetInnerHTML={content}>

        </div>
      </div>
    )
  }
}

export default connect(mapStateToProps, mapDispatchToProps)(exerciseSyntaxHelpPanelView)
