/**
 * Created by janis dähne.
 */

import * as React from "react";
import SinglePanelSiteWrapper from '../../singlePanelSiteWrapper'
import {bindActionCreators, Dispatch} from "redux";
import {RootState} from "../../../state/reducers";
import {returntypeof} from "react-redux-typescript";
import Logger from "../../../helpers/logger";
import {setIsSiteHeaderBarDisplayedAndEnabledAction} from "../../../state/actions/siteHeaderBarActions";
import {connect} from "react-redux";
import markdownIt from '../../../helpers/markdownHelper'

//const css = require('./styles.styl');

export interface MyProps {
  //readonly test: string
}

declare var require: any
const testSyntaxGuideMd = require('../../../questionSystem/testSyntaxGuide.md')

const content = {
  __html: markdownIt.render(testSyntaxGuideMd)
}

const mapStateToProps = (rootState: RootState /*, props: MyProps*/) => {
  return {
    //test0: rootState...
    //test: props.test
  }
}

const mapDispatchToProps = (dispatch: Dispatch) => bindActionCreators({
  //imported reducer funcs here

  setIsSiteHeaderBarDisplayedAndEnabledAction

}, dispatch)

const stateProps = returntypeof(mapStateToProps);
const dispatchProps = returntypeof(mapDispatchToProps);
type Props = typeof stateProps & typeof dispatchProps;


class TestSyntaxSite extends React.Component<Props, any> {

  componentWillMount(): void {

    Logger.log('disabling header bar')
    this.props.setIsSiteHeaderBarDisplayedAndEnabledAction(false)

  }
  render(): JSX.Element {
    return (
      <SinglePanelSiteWrapper>
        <div className="markdown-body" dangerouslySetInnerHTML={content}>

        </div>
      </SinglePanelSiteWrapper>
    )
  }
}

export default connect(mapStateToProps, mapDispatchToProps)(TestSyntaxSite)
