/**
 * Created by janis dähne.
 */
import {ResetAction} from "../../../reducers/manageActivatedUsersSite/dialog/changeActivatedUserDataDialogReducer";
import {SelectableUserFrontendExclusive} from "../../../../types/users";
import {ActionType} from "../../../reducers/manageActivatedUsersSite/dialog/changeActivatedUserDataDialogActionTypes";
import {setTargetUserInner} from "./activatedUserDataSetActions";
import {MultiActions} from "../../types";


export function setTargetUser(user: SelectableUserFrontendExclusive): MultiActions {
  return (dispatch) => {

    //reset old data in case we didn't click on cancel but instead
    //e.g. used browser back button
    dispatch(resetChangeActivatedUserDataDialog())
    dispatch(setTargetUserInner(user))
  }
}



export function resetChangeActivatedUserDataDialog(): ResetAction {
  return {
    type: ActionType.RESET
  }
}
