/**
 * Created by janis dähne.
 */
import {
  ResetAction,
  SET_exerciseReleaseAction
} from "../../../../../reducers/ownOrGroupExerciseReducers/exerciseReleasesSite/dialogs/zoomedRelease/zoomedReleaseDialogReducer";
import {ActionType} from "../../../../../reducers/ownOrGroupExerciseReducers/exerciseReleasesSite/dialogs/zoomedRelease/zoomedReleaseDialogActionTypes";
import {ExerciseReleaseFromBackend} from "../../../../../../types/exerciseRelease";


export function setZoomedExerciseRelease(exerciseRelease: ExerciseReleaseFromBackend): SET_exerciseReleaseAction {
  return {
    type: ActionType.SET_exerciseRelease,
    exerciseRelease
  }
}

export function resetZoomedExerciseReleaseDialog(): ResetAction {
  return {
    type: ActionType.RESET
  }
}



