/**
 * Created by janis dähne.
 */


import {ActionType} from "../../reducers/settingsSite/settingsSiteActionTypes";
import {
  RESET_userDataAction, SET_emailAction, SET_newPasswordCheckCopyAction, SET_newPasswordCopyAction,
  SET_oldPasswordCopyAction
} from "../../reducers/settingsSite/userDataCopyReducer";


export function setEmail(email: string): SET_emailAction {
  return {
    type: ActionType.SET_emailCopy,
    email
  }
}

export function setNewPassword(password: string): SET_newPasswordCopyAction {
  return {
    type: ActionType.SET_newPasswordCopy,
    password
  }
}

export function setNewPasswordCheck(password: string): SET_newPasswordCheckCopyAction {
  return {
    type: ActionType.SET_newPasswordCheckCopy,
    password
  }
}

export function setOldPassword(password: string): SET_oldPasswordCopyAction {
  return {
    type: ActionType.SET_oldPasswordCopy,
    password
  }
}


export function resetUserBaseData(resetEmail: string): RESET_userDataAction {
  return {
    type: ActionType.RESET_userData,
    resetEmail
  }
}