import {getValidationMessagesCollection} from "../../../../../validation/validations";
import {getI18n} from "../../../../../../i18n/i18nRoot";
import globalState from "../../../../state";
import {State} from "./customProjectTestReducer";

export const validationMessageKeys = getValidationMessagesCollection<State>({
  id: '',
  content: '',
  displayName: getI18n(globalState.getState().i18nState.langId,'Field must not be empty or just whitespaces'),
  displayIndex: '',
  maxPoints: '',
  files: '',
  testTypeId: getI18n(globalState.getState().i18nState.langId,'Invalid option, take other'),
  testSettings: '',
})
