/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  GET_groups = 'groupsReducer_GET_groups',
  GET_groups_PENDING = 'groupsReducer_GET_groups_PENDING',
  GET_groups_FULFILLED = 'groupsReducer_GET_groups_FULFILLED',
  GET_groups_REJECTED = 'groupsReducer_GET_groups_REJECTED',


  QUIT_group = 'groupsReducer_QUIT_group',
  QUIT_group_PENDING = 'groupsReducer_QUIT_group_PENDING',
  QUIT_group_FULFILLED = 'groupsReducer_QUIT_group_FULFILLED',
  QUIT_group_REJECTED = 'groupsReducer_QUIT_group_REJECTED',

  DELETE_userGroup = 'userGroupsChangeDialogReducer_DELETE_userGroup',
  DELETE_userGroup_PENDING = 'userGroupsChangeDialogReducer_DELETE_userGroup_PENDING',
  DELETE_userGroup_FULFILLED = 'userGroupsChangeDialogReducer_DELETE_userGroup_FULFILLED',
  DELETE_userGroup_REJECTED = 'userGroupsChangeDialogReducer_DELETE_userGroup_REJECTED',

  SET_viewState = 'groupsReducer_SET_viewState',
  SET_isChangeDialogDisplayed = 'groupsReducer_SET_isChangeDialogDisplayed',

  setSearchText = 'groupsReducer_setSearchText',
  setPaginationActivePage = 'groupsReducer_setPaginationActivePage',
  setPaginationPageSize = 'groupsReducer_setPaginationPageSize',

  SET_sortByKey = 'groupsReducer_SET_sortByKey',

  RESET = 'groupsReducer_RESET',
}
