/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {

  UPDATE_activatedUserData = 'changeUserDataDialogActions_UPDATE_activatedUserData',
  UPDATE_activatedUserData_PENDING = 'changeUserDataDialogActions_UPDATE_activatedUserData_PENDING',
  UPDATE_activatedUserData_FULFILLED = 'changeUserDataDialogActions_UPDATE_activatedUserData_FULFILLED',
  UPDATE_activatedUserData_REJECTED = 'changeUserDataDialogActions_UPDATE_activatedUserData_REJECTED',

  UPDATE_activatedUserSystemRoleData = 'changeUserDataDialogActions_UPDATE_activatedUserSystemRoleData',
  UPDATE_activatedUserSystemRoleData_PENDING = 'changeUserDataDialogActions_UPDATE_activatedUserSystemRoleData_PENDING',
  UPDATE_activatedUserSystemRoleData_FULFILLED = 'changeUserDataDialogActions_UPDATE_activatedUserSystemRoleData_FULFILLED',
  UPDATE_activatedUserSystemRoleData_REJECTED = 'changeUserDataDialogActions_UPDATE_activatedUserSystemRoleData_REJECTED',

  RESET_activateUserPassword = 'changeUserDataDialogActions_RESET_activateUserPassword',
  RESET_activateUserPassword_PENDING = 'changeUserDataDialogActions_RESET_activateUserPassword_PENDING',
  RESET_activateUserPassword_FULFILLED = 'changeUserDataDialogActions_RESET_activateUserPassword_FULFILLED',
  RESET_activateUserPassword_REJECTED = 'changeUserDataDialogActions_RESET_activateUserPassword_REJECTED',

  SET_targetUser = 'changeUserDataDialogActions_SET_targetUser',

  SET_email = 'changeUserDataDialogActions_SET_email',
  SET_lastName = 'changeUserDataDialogActions_SET_lastName',
  SET_firstName = 'changeUserDataDialogActions_SET_firstName',
  SET_systemRole = 'changeUserDataDialogActions_SET_systemRole',

  RESET = 'changeUserDataDialogActions_RESET',
}
