/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {
  GET_activatedUsers = 'activatedUsersReducer_GET_activatedUsers',
  GET_activatedUsers_PENDING = 'activatedUsersReducer_GET_activatedUsers_PENDING',
  GET_activatedUsers_FULFILLED = 'activatedUsersReducer_GET_activatedUsers_FULFILLED',
  GET_activatedUsers_REJECTED = 'activatedUsersReducer_GET_activatedUsers_REJECTED',

  DELETE_activatedUser = 'activatedUsersReducer_DELETE_activatedUser',
  DELETE_activatedUser_PENDING = 'activatedUsersReducer_DELETE_activatedUser_PENDING',
  DELETE_activatedUser_FULFILLED = 'activatedUsersReducer_DELETE_activatedUser_FULFILLED',
  DELETE_activatedUser_REJECTED = 'activatedUsersReducer_DELETE_activatedUser_REJECTED',

  GET_systemRoles = 'activatedUsersReducer_GET_systemRoles',
  GET_systemRoles_PENDING = 'activatedUsersReducer_GET_systemRoles_PENDING',
  GET_systemRoles_FULFILLED = 'activatedUsersReducer_GET_systemRoles_FULFILLED',
  GET_systemRoles_REJECTED = 'activatedUsersReducer_GET_systemRoles_REJECTED',


  SET_activatedUser_uiIsSelected = 'activatedUsersReducer_SET_activatedUser_uiIsSelected',
  SET_all_activatedUsers_uiIsSelected = 'activatedUsersReducer_SET_all_activatedUsers_uiIsSelected',

  SET_isLoading = 'activatedUsersReducer_SET_isLoading',
  SET_sortByKey = 'activatedUsersReducer_SET_sortByKey',


  setSearchText = 'activatedUsersReducer_setSearchText',
  setPaginationActivePage = 'activatedUsersReducer_setPaginationActivePage',
  setPaginationPageSize = 'activatedUsersReducer_setPaginationPageSize',

  SET_isChangeUserDataDialogDisplayed = 'activatedUsersReducer_SET_isChangeUserDataDialogDisplayed',
  RESET = 'activatedUsersReducer_RESET',

}