/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {

  GET_customProjectOverviews = 'manageCustomProjectsSite_GET_customProjectOverviews',
  GET_customProjectOverviews_PENDING = 'manageCustomProjectsSite_GET_customProjectOverviews_PENDING',
  GET_customProjectOverviews_FULFILLED = 'manageCustomProjectsSite_GET_customProjectOverviews_FULFILLED',
  GET_customProjectOverviews_REJECTED = 'manageCustomProjectsSite_GET_customProjectOverviews_REJECTED',

  DELETE_customProject = 'manageCustomProjectsSite_DELETE_customProject',
  DELETE_customProject_PENDING = 'manageCustomProjectsSite_DELETE_customProject_PENDING',
  DELETE_customProject_FULFILLED = 'manageCustomProjectsSite_DELETE_customProject_FULFILLED',
  DELETE_customProject_REJECTED = 'manageCustomProjectsSite_DELETE_customProject_REJECTED',

  setSearchText = 'manageCustomProjectsSite_setSearchText',
  setPaginationActivePage = 'manageCustomProjectsSite_setPaginationActivePage',
  setPaginationPageSize = 'manageCustomProjectsSite_setPaginationPageSize',

  SET_sortByKey = 'manageCustomProjectsSite_SET_sortByKey',
    
  RESET = 'manageCustomProjectsSite_RESET',
}