/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {
  SET_newUsers = 'newUsersReducer_SET_newUsers',

  GET_newUsers = 'newUsersReducer_GET_newUsers',
  GET_newUsers_PENDING = 'newUsersReducer_GET_newUsers_PENDING',
  GET_newUsers_FULFILLED = 'newUsersReducer_GET_newUsers_FULFILLED',
  GET_newUsers_REJECTED = 'newUsersReducer_GET_newUsers_REJECTED',

  DELETE_newUser = 'newUsersReducer_DELETE_newUser',
  DELETE_newUser_PENDING = 'newUsersReducer_DELETE_newUser_PENDING',
  DELETE_newUser_FULFILLED = 'newUsersReducer_DELETE_newUser_FULFILLED',
  DELETE_newUser_REJECTED = 'newUsersReducer_DELETE_newUser_REJECTED',

  ACTIVATE_newUser = 'newUsersReducer_ACTIVATE_newUser',
  ACTIVATE_newUser_PENDING = 'newUsersReducer_ACTIVATE_newUser_PENDING',
  ACTIVATE_newUser_FULFILLED = 'newUsersReducer_ACTIVATE_newUser_FULFILLED',
  ACTIVATE_newUser_REJECTED = 'newUsersReducer_ACTIVATE_newUser_REJECTED',

  GET_systemRoles = 'newUsersReducer_GET_systemRoles',
  GET_systemRoles_PENDING = 'newUsersReducer_GET_systemRoles_PENDING',
  GET_systemRoles_FULFILLED = 'newUsersReducer_GET_systemRoles_FULFILLED',
  GET_systemRoles_REJECTED = 'newUsersReducer_GET_systemRoles_REJECTED',

  SET_newUser_systemRole = 'newUsersReducer_SET_newUser_systemRole',
  SET_newUser_uiIsChangeSystemRolePopupDisplayed = 'newUsersReducer_SET_newUser_uiIsChangeSystemRolePopupDisplayed',
  SET_newUser_uiIsSelected = 'newUsersReducer_SET_newUser_uiIsSelected',

  SET_all_newUsers_uiIsSelected = 'newUsersReducer_SET_all_newUsers_uiIsSelected',


  setSearchText = 'newUsersReducer_setSearchText',
  setPaginationActivePage = 'newUsersReducer_setPaginationActivePage',
  setPaginationPageSize = 'newUsersReducer_setPaginationPageSize',

  SET_sortByKey = 'newUsersReducer_SET_sortByKey',

  SET_isLoading = 'newUsersReducer_SET_isLoading',
  RESET = 'newUsersReducer_RESET',
}

