/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {
  GET_exerciseReleases = 'releaseSiteReducer_GET_exerciseReleases',
  GET_exerciseReleases_PENDING = 'releaseSiteReducer_GET_exerciseReleases_PENDING',
  GET_exerciseReleases_FULFILLED = 'releaseSiteReducer_GET_exerciseReleases_FULFILLED',
  GET_exerciseReleases_REJECTED = 'releaseSiteReducer_GET_exerciseReleases_REJECTED',


  GET_singleOwnExercise = 'releaseSiteReducer_GET_singleOwnExercise',
  GET_singleOwnExercise_PENDING = 'releaseSiteReducer_GET_singleOwnExercise_PENDING',
  GET_singleOwnExercise_FULFILLED = 'releaseSiteReducer_GET_singleOwnExercise_FULFILLED',
  GET_singleOwnExercise_REJECTED = 'releaseSiteReducer_GET_singleOwnExercise_REJECTED',

  GET_singleGroupExercise = 'releaseSiteReducer_GET_singleGroupExercise',
  GET_singleGroupExercise_PENDING = 'releaseSiteReducer_GET_singleGroupExercise_PENDING',
  GET_singleGroupExercise_FULFILLED = 'releaseSiteReducer_GET_singleGroupExercise_FULFILLED',
  GET_singleGroupExercise_REJECTED = 'releaseSiteReducer_GET_singleGroupExercise_REJECTED',


  DELETE_exerciseRelease = 'releaseSiteReducer_DELETE_exerciseRelease',
  DELETE_exerciseRelease_PENDING = 'releaseSiteReducer_DELETE_exerciseRelease_PENDING',
  DELETE_exerciseRelease_FULFILLED = 'releaseSiteReducer_DELETE_exerciseRelease_FULFILLED',
  DELETE_exerciseRelease_REJECTED = 'releaseSiteReducer_DELETE_exerciseRelease_REJECTED',

  SET_selectedExerciseId = 'releaseSiteReducer_SET_selectedExerciseId',

  setSearchText = 'releaseSiteReducer_setSearchText',
  setPaginationActivePage = 'releaseSiteReducer_setPaginationActivePage',
  setPaginationPageSize = 'releaseSiteReducer_setPaginationPageSize',

  SET_sortByKey = 'releaseSiteReducer_SET_sortByKey',

  SET_isZoomedExerciseReleaseDisplayed = 'releaseSiteReducer_SET_isZoomedExerciseReleaseDisplayed',

  SET_comesFromOwnExercisesSite = 'releaseSiteReducer_SET_comesFromOwnExercisesSite',

  SET_isChangeDialogDisplayed = 'releaseSiteReducer_SET_isChangeDialogDisplayed',


  RESET = 'releaseSiteReducer_RESET',
}

