/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  GET_userData = 'settingsSite_GET_userData',
  GET_userData_PENDING = 'settingsSite_GET_userData_PENDING',
  GET_userData_FULFILLED = 'settingsSite_GET_userData_FULFILLED',
  GET_userData_REJECTED = 'settingsSite_GET_userData_REJECTED',

  UPDATE_userData = 'settingsSite_UPDATE_userData',
  UPDATE_userData_PENDING = 'settingsSite_UPDATE_userData_PENDING',
  UPDATE_userData_FULFILLED = 'settingsSite_UPDATE_userData_FULFILLED',
  UPDATE_userData_REJECTED = 'settingsSite_UPDATE_userData_REJECTED',

  UPDATE_userSettings = 'settingsSite_UPDATE_userSettings',
  UPDATE_userSettings_PENDING = 'settingsSite_UPDATE_userSettings_PENDING',
  UPDATE_userSettings_FULFILLED = 'settingsSite_UPDATE_userSettings_FULFILLED',
  UPDATE_userSettings_REJECTED = 'settingsSite_UPDATE_userSettings_REJECTED',

  RESET_userData = 'settingsSite_RESET_userData',
  RESET_userSettings = 'settingsSite_RESET_userSettings',

  SET_userDataChangeState = 'settingsSite_SET_userDataChangeStateAction',
  SET_userSettingsChangeState = 'settingsSite_SET_userDataChangeState',

  SET_userData = 'settingsSite_SET_userData',


  SET_emailCopy = 'settingsSite_SET_email',
  SET_newPasswordCopy = 'settingsSite_SET_newPassword',
  SET_newPasswordCheckCopy = 'settingsSite_SET_newPasswordCheckCopy',
  SET_oldPasswordCopy = 'settingsSite_SET_olPassword',


  SET_langId = 'settingsSite_SET_langId',
  SET_theme = 'settingsSite_SET_theme',

  RESET = 'settingsSite_RESET',
}
