/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  SET_systemRoles = 'systemRolesReducer_SET_list',

  GET_lockedSystemRoleIds = 'systemRolesSiteReducer_GET_lockedSystemRoleIds',
  GET_lockedSystemRoleIds_PENDING = 'systemRolesSiteReducer_GET_lockedSystemRoleIds_PENDING',
  GET_lockedSystemRoleIds_FULFILLED = 'systemRolesSiteReducer_GET_lockedSystemRoleIds_FULFILLED',
  GET_lockedSystemRoleIds_REJECTED = 'systemRolesSiteReducer_GET_lockedSystemRoleIds_REJECTED',

  GET_systemRoles = 'systemRolesSiteReducer_GET_systemRoles',
  GET_systemRoles_PENDING = 'systemRolesSiteReducer_GET_systemRoles_PENDING',
  GET_systemRoles_FULFILLED = 'systemRolesSiteReducer_GET_systemRoles_FULFILLED',
  GET_systemRoles_REJECTED = 'systemRolesSiteReducer_GET_systemRoles_REJECTED',

  DELETE_systemRole = 'systemRolesSiteReducer_DELETE_systemRole',
  DELETE_systemRole_PENDING = 'systemRolesSiteReducer_DELETE_systemRole_PENDING',
  DELETE_systemRole_FULFILLED = 'systemRolesSiteReducer_DELETE_systemRole_FULFILLED',
  DELETE_systemRole_REJECTED = 'systemRolesSiteReducer_DELETE_systemRole_REJECTED',

  SET_isChangeDialogDisplayed = 'systemRolesReducer_SET_isChangeDialogDisplayed',
  RESET = 'systemRolesReducer_RESET',
}
