/**
 * Created by janis dähne.
 */

import * as genericLayer from './genericLayer'
import {
  BaseUserData, EmailAndPasswordTuple, IdAndPasswordTuple, SystemRoleFullBase,
  UserSettingsFullBase
} from "../types/userData";

const callingName = 'userSettings'
const controllerPrefix = 'user/settings'


export function createOrUpdateUserSettings(userSettings: UserSettingsFullBase): Promise<UserSettingsFullBase> {
  return genericLayer.update(callingName,
    `${controllerPrefix}`, userSettings)
}