/**
 * Created by janis dähne.
 */
import {NotificationManager} from "react-notifications";


const defaultTimeoutInMs = 2000

export function notifyInfo(message: string, title?: string, timeOut?: number, onClick?: () => void): void {
    NotificationManager.info(message, title, timeOut ? timeOut : defaultTimeoutInMs, onClick)
}

export function notifySuccess(message: string, title?: string, timeOut?: number, onClick?: () => void, priority?: boolean): void {
  NotificationManager.success(message, title, timeOut ? timeOut : defaultTimeoutInMs, onClick)
}

export function notifyWarning(message: string, title?: string, timeOut?: number, onClick?: () => void, priority?: boolean): void {
  NotificationManager.warning(message, title, timeOut ? timeOut : defaultTimeoutInMs, onClick)
}

export function notifyError(message: string, title?: string, timeOut?: number, onClick?: () => void, priority?: boolean): void {
  NotificationManager.error(message, title, timeOut ? timeOut : defaultTimeoutInMs, onClick)
}
