"use strict";
/**
 * Created by janis dähne.
 */
exports.__esModule = true;
var ResponseCodes;
(function (ResponseCodes) {
    ResponseCodes[ResponseCodes["ok"] = 0] = "ok";
    /**
     * request was ok but could no be handled because resource restriction (e.g. test server parallel tests)
     */
    ResponseCodes[ResponseCodes["retryLater"] = 1] = "retryLater";
    /**
     * the request was ok and handled but not all data could be processed (only partially ok)
     * e.g. some items of an array could not be processed
     */
    ResponseCodes[ResponseCodes["partialOk"] = 2] = "partialOk";
    ResponseCodes[ResponseCodes["notLoggedIn"] = 10] = "notLoggedIn";
    ResponseCodes[ResponseCodes["invalidRequest"] = 20] = "invalidRequest";
    ResponseCodes[ResponseCodes["serverError"] = 30] = "serverError";
    ResponseCodes[ResponseCodes["noPermission"] = 40] = "noPermission";
    ResponseCodes[ResponseCodes["alreadyExists"] = 50] = "alreadyExists";
    ResponseCodes[ResponseCodes["notFound"] = 60] = "notFound";
    ResponseCodes[ResponseCodes["timeUsedUp"] = 70] = "timeUsedUp";
    ResponseCodes[ResponseCodes["releaseEnded"] = 80] = "releaseEnded";
    ResponseCodes[ResponseCodes["releaseStillActive"] = 90] = "releaseStillActive";
})(ResponseCodes = exports.ResponseCodes || (exports.ResponseCodes = {}));
