/**
 * Created by janis dähne.
 */
import {ExerciseCodeTemplateFullBase} from "../../../../types/exerciseEditor";
import {SET_codeTemplatesAction} from "../../../reducers/exerciseEditorSite/subSets/setEditorExerciseCodeTemplatesReducer";
import {ActionType} from "../../../reducers/exerciseEditorSite/editorExerciseSiteActionTypes";
import {
  SET_uiCodeTemplateFilesDisplayedHashAction,
  UiCodeTemplateFilesDisplayedHash
} from "../../../reducers/exerciseEditorSite/exerciseEditorSiteReducer";


//--- ReadonlyArray<ExerciseCodeTemplateFullBase>

export function setCodeTemplates(codeTemplates: ReadonlyArray<ExerciseCodeTemplateFullBase>): SET_codeTemplatesAction {
  return {
    type: ActionType.SET_codeTemplates,
    codeTemplates
  }
}


export function setUiCodeTemplateFilesDisplayedHash(uiCodeTemplateFilesDisplayedHash: UiCodeTemplateFilesDisplayedHash): SET_uiCodeTemplateFilesDisplayedHashAction {
  return {
    type: ActionType.SET_uiCodeTemplateFilesDisplayedHash,
    uiCodeTemplateFilesDisplayedHash
  }
}

