/**
 * Created by janis dähne.
 */
import {
  SET_emailAction,
  SET_firstNameAction,
  SET_lastNameAction,
  SET_systemRoleAction,
  SET_targetUserAction
} from "../../../reducers/manageActivatedUsersSite/dialog/otherUserDataReducer";
import {ActionType} from "../../../reducers/manageActivatedUsersSite/dialog/changeActivatedUserDataDialogActionTypes";
import {SystemRoleFullBase} from "../../../../types/userData";
import {SelectableUserFrontendExclusive} from '../../../../types/users'


export function setTargetUserInner(targetUser: SelectableUserFrontendExclusive): SET_targetUserAction {
  return {
    type: ActionType.SET_targetUser,
    targetUser
  }
}

export function setEmail(email: string): SET_emailAction {
  return {
    type: ActionType.SET_email,
    email
  }
}

export function setLastName(lastName: string): SET_lastNameAction {
  return {
    type: ActionType.SET_lastName,
    lastName
  }
}

export function setFirstName(firstName: string): SET_firstNameAction {
  return {
    type: ActionType.SET_firstName,
    firstName
  }
}

export function setSystemRole(systemRole: SystemRoleFullBase): SET_systemRoleAction {
  return {
    type: ActionType.SET_systemRole,
    systemRole
  }
}
