/**
 * Created by janis dähne.
 */
import {
  ResetAction, SET_isBackgroundColorPickerOpenedAction, SET_isColorPickerOpenedAction,
  SET_isCreatingAction
} from "../../../reducers/manageTagsSite/dialog/changeTagDialogReducer";
import {ActionType} from "../../../reducers/manageTagsSite/dialog/changeTagDialogActionTypes";




export function setIsColorPickerOpened(isOpened: boolean): SET_isColorPickerOpenedAction {
  return {
    type: ActionType.SET_isColorPickerOpened,
    isOpened
  }
}

export function setIsBackgroundColorPickerOpened(isOpened: boolean): SET_isBackgroundColorPickerOpenedAction {
  return {
    type: ActionType.SET_isBackgroundColorPickerOpened,
    isOpened
  }
}
export function setIsCreating(isCreating: boolean): SET_isCreatingAction {
  return {
    type: ActionType.SET_isCreating,
    isCreating
  }
}

export function resetChangeTagDialog(): ResetAction {
  return {
    type: ActionType.RESET
  }
}