/**
 * Created by janis dähne.
 */
import {
  ActionType, SET_isSiteHeaderBarCollapsedAction, SET_isSiteHeaderBarDisplayedAndEnabledAction,
  SET_isSubHeaderBarCollapsedAction, SET_isUserMenuOpenAction,
  SET_isSiteMenuOpenAction, SET_isLoggingOutAction
} from "../reducers/siteHeaderBarReducer";


export function setIsSiteMenuOpen(isOpen: boolean): SET_isSiteMenuOpenAction {
  return {
    type: ActionType.SET_isSiteMenuOpen,
    isSiteMenuOpen: isOpen
  }
}


export function setIsSiteHeaderBarDisplayedAndEnabledAction(isDisplayed: boolean): SET_isSiteHeaderBarDisplayedAndEnabledAction {
  return {
    type: ActionType.SET_isSiteHeaderBarDisplayedAndEnabled,
    isDisplayed
  }
}

export function setIsSiteHeaderBarCollapsed(isSiteHeaderBarCollapsed: boolean): SET_isSiteHeaderBarCollapsedAction {
  return {
    type: ActionType.SET_isSiteHeaderBarCollapsed,
    isSiteHeaderBarCollapsed
  }
}

export function setIsSubHeaderBarCollapsed(isSubHeaderBarCollapsed: boolean): SET_isSubHeaderBarCollapsedAction {
  return {
    type: ActionType.SET_isSubHeaderBarCollapsed,
    isSubHeaderBarCollapsed
  }
}

export function setIsUserMenuOpen(isUserMenuOpen: boolean): SET_isUserMenuOpenAction {
  return {
    type: ActionType.SET_isUserMenuOpen,
    isUserMenuOpen
  }
}


export function setIsLoggingOut(isLoggingOut: boolean): SET_isLoggingOutAction {
  return {
    type: ActionType.SET_isLoggingOut,
    isLoggingOut
  }
}

