/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  GET_openExercisesViaCode = 'openExercisesReducer_GET_openExercisesViaCode',
  GET_openExercisesViaCode_PENDING = 'openExercisesReducer_GET_openExercisesViaCode_PENDING',
  GET_openExercisesViaCode_FULFILLED = 'openExercisesReducer_GET_openExercisesViaCode_FULFILLED',
  GET_openExercisesViaCode_REJECTED = 'openExercisesReducer_GET_openExercisesViaCode_REJECTED',

  GET_openExercisesViaVisibility = 'openExercisesReducer_GET_openExercisesViaVisibility',
  GET_openExercisesViaVisibility_PENDING = 'openExercisesReducer_GET_openExercisesViaVisibility_PENDING',
  GET_openExercisesViaVisibility_FULFILLED = 'openExercisesReducer_GET_openExercisesViaVisibility_FULFILLED',
  GET_openExercisesViaVisibility_REJECTED = 'openExercisesReducer_GET_openExercisesViaVisibility_REJECTED',


  SET_openExercisesViaCodeAction = 'openExercisesReducer_SET_openExercisesViaCodeAction',
  SET_openExercisesViaVisibility = 'openExercisesReducer_SET_openExercisesViaVisibility',
  SET_isEnterReleaseCodeDialogDisplayed = 'openExercisesReducer_SET_isEnterReleaseCodeDialogDisplayed',

  SET_viewState = 'openExercisesReducer_SET_viewState',

  setSearchText = 'openExercisesReducer_setSearchText',
  setPaginationActivePage = 'openExercisesReducer_setPaginationActivePage',
  setPaginationPageSize = 'openExercisesReducer_setPaginationPageSize',
  
  SET_sortByKey = 'openExercisesReducer_SET_sortByKey',

  SET_isTagsFilterDisplayed = 'openExercisesReducer_SET_isTagsFilterDisplayed',


  RESET = 'openExercisesReducer_RESET',
}

