/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {

  GET_assessmentStatistics = 'assessmentStatisticsSiteReducer_GET_assessmentStatistics',
  GET_assessmentStatistics_PENDING = 'assessmentStatisticsSiteReducer_GET_assessmentStatistics_PENDING',
  GET_assessmentStatistics_FULFILLED = 'assessmentStatisticsSiteReducer_GET_assessmentStatistics_FULFILLED',
  GET_assessmentStatistics_REJECTED = 'assessmentStatisticsSiteReducer_GET_assessmentStatistics_REJECTED',

  SET_targetUserId = 'assessmentStatisticsSiteReducer_SET_targetUserId',

  setSearchText = 'assessmentStatisticsSiteReducer_setSearchText',
  setPaginationActivePage = 'assessmentStatisticsSiteReducer_setPaginationActivePage',
  setPaginationPageSize = 'assessmentStatisticsSiteReducer_setPaginationPageSize',

  SET_sortByKey = 'assessmentStatisticsSiteReducer_SET_sortByKey',

  SET_displaySubmitTestLine = 'assessmentStatisticsSiteReducer_SET_displaySubmitTestLine',
  SET_displayNormalTestLine = 'assessmentStatisticsSiteReducer_SET_displayNormalTestLine',
  SET_displayManualPointsLine = 'assessmentStatisticsSiteReducer_SET_displayManualPointsLine',

  RESET = 'assessmentStatisticsSiteReducer_RESET',
}
