/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {


  SET_afterNormalTests = 'doExerciseSiteReducer_SET_afterNormalTests',
  SET_afterCustomTests = 'doExerciseSiteReducer_SET_afterCustomTests',
  SET_afterSubmitTests = 'doExerciseSiteReducer_SET_afterSubmitTests',

  SET_exercisePreviewFrontend = 'doExerciseSiteReducer_SET_exercisePreviewFrontend',

  SET_solutionFiles = 'doExerciseSiteReducer_SET_solutionFiles',

  SET_afterSolutionFirstDummy = 'doExerciseSiteReducer_SET_afterSolutionFirstDummy',
  SET_afterSolutionFiles = 'doExerciseSiteReducer_SET_afterSolutionFiles',
  SET_afterMainFileId = 'doExerciseSiteReducer_SET_afterMainFileId',

  SET_hDividerPosOffset = 'doExerciseSiteReducer_SET_hDividerPosOffset',
  SET_vDividerPosOffset = 'doExerciseSiteReducer_SET_vDividerPosOffset',

  SET_solution = 'doExerciseSiteReducer_SET_solution',
  SET_allSolutionVersionPreviews = 'doExerciseSiteReducer_SET_allSolutionVersionPreviews',

  SET_selectedConsoleViewTest = 'doExerciseSiteReducer_SET_selectedConsoleViewTest',
  SET_isLeftTimeStringDisplayed = 'doExerciseSiteReducer_SET_isLeftTimeStringDisplayed',

  SET_mainFileId = 'doExerciseSiteReducer_SET_mainFileId',

  SET_dummy = 'doExerciseSiteReducer_SET_dummy',

  SET_doExercise = 'doExerciseSiteReducer_SET_doExercise',
  SET_doExercise_codeTemplates = 'doExerciseSiteReducer_SET_doExercise_codeTemplates',
  SET_doExerciseDescription = 'doExerciseSiteReducer_SET_doExerciseDescription',
  SET_customTests = 'doExerciseSiteReducer_SET_customTests',
  SET_defaultTestSettings = 'doExerciseSiteReducer_SET_defaultTestSettings',
  SET_tests = 'doExerciseSiteReducer_SET_tests',
  SET_exerciseRelease = 'doExerciseSiteReducer_SET_tests',

  SET_justRunProgramArgs = "doExerciseSiteReducer_SET_justRunProgramArgs",
  SET_isJustRunProgramArgsInputDisplayed = "doExerciseSiteReducer_SET_isJustRunProgramArgsInputDisplayed",


  RUN_afterNormalTest = 'doExerciseSiteReducer_RUN_afterNormalTest',
  RUN_afterNormalTest_PENDING = 'doExerciseSiteReducer_RUN_afterNormalTest_PENDING',
  RUN_afterNormalTest_FULFILLED = 'doExerciseSiteReducer_RUN_afterNormalTest_FULFILLED',
  RUN_afterNormalTest_REJECTED = 'doExerciseSiteReducer_RUN_afterNormalTest_REJECTED',

  RUN_afterSubmitTest = 'doExerciseSiteReducer_RUN_afterSubmitTest',
  RUN_afterSubmitTest_PENDING = 'doExerciseSiteReducer_RUN_afterSubmitTest_PENDING',
  RUN_afterSubmitTest_FULFILLED = 'doExerciseSiteReducer_RUN_afterSubmitTest_FULFILLED',
  RUN_afterSubmitTest_REJECTED = 'doExerciseSiteReducer_RUN_afterSubmitTest_REJECTED',

  RUN_afterCustomTest = 'doExerciseSiteReducer_RUN_afterCustomTest',
  RUN_afterCustomTest_PENDING = 'doExerciseSiteReducer_RUN_afterCustomTest_PENDING',
  RUN_afterCustomTest_FULFILLED = 'doExerciseSiteReducer_RUN_afterCustomTest_FULFILLED',
  RUN_afterCustomTest_REJECTED = 'doExerciseSiteReducer_RUN_afterCustomTest_REJECTED',

  //--- after editor

  SET_afterEditor_hasFileChangedMap = 'doExerciseSiteReducer_SET_afterEditor_hasFileChangedMap',
  SET_afterEditor_hasUnsavedChanges = 'doExerciseSiteReducer_SET_afterEditor_hasUnsavedChanges',
  SET_afterEditor_selectedTabIdDoEditor = 'doExerciseSiteReducer_SET_afterEditor_selectedTabIdDoEditor',
  SET_afterEditor_isFileExplorerDisplayedDoEditor = 'doExerciseSiteReducer_SET_afterEditor_isFileExplorerDisplayedDoEditor',
  SET_afterEditor_newFileNameDoEditor = 'doExerciseSiteReducer_SET_afterEditor_newFileNameDoEditor',
  SET_afterEditor_renamingFileIdDoEditor = 'doExerciseSiteReducer_SET_afterEditor_renamingFileIdDoEditor',
  SET_afterEditor_isRenamingFileDoEditor = 'doExerciseSiteReducer_SET_afterEditor_isRenamingFileDoEditor',
  SET_afterEditor_renamingFileNameDoEditor = 'doExerciseSiteReducer_SET_afterEditor_renamingFileNameDoEditor',


  //--- do editor

  SET_hasFileChangedMap = 'doExerciseSiteReducer_SET_hasFileChangedMap',
  SET_hasUnsavedChanges = 'doExerciseSiteReducer_SET_hasUnsavedChanges',
  SET_forceEditorUpdateSessionDummy = 'doExerciseSiteReducer_SET_forceEditorUpdateSessionDummy',

  SET_selectedTabIdDoEditor = 'doExerciseSiteReducer_SET_selectedTabIdDoEditor',
  SET_isFileExplorerDisplayedDoEditor = 'doExerciseSiteReducer_SET_isFileExplorerDisplayedDoEditor',
  SET_newFileNameDoEditor = 'doExerciseSiteReducer_SET_newFileNameDoEditor',
  SET_renamingFileIdDoEditor = 'doExerciseSiteReducer_SET_renamingFileIdDoEditor',
  SET_isRenamingFileDoEditor = 'doExerciseSiteReducer_SET_isRenamingFileDoEditor',
  SET_renamingFileNameDoEditor = 'doExerciseSiteReducer_SET_renamingFileNameDoEditor',
  SET_selectedPLangId = 'doExerciseSiteReducer_SET_selectedPLangId',

  SET_topRightSelectedTabIndex = 'doExerciseSiteReducer_SET_topRightSelectedTabIndex',
  SET_topLeftSelectedTabIndex = 'doExerciseSiteReducer_SET_topLeftSelectedTabIndex',
  SET_bottomRightSelectedTabIndex = 'doExerciseSiteReducer_SET_bottomRightSelectedTabIndex',
  SET_bottomLeftSelectedTabIndex = 'doExerciseSiteReducer_SET_bottomLeftSelectedTabIndex',

  SET_topRightPanelViewSize = 'doExerciseSiteReducer_SET_topRightPanelViewSize',
  SET_topLeftPanelViewSize = 'doExerciseSiteReducer_SET_topLeftPanelViewSize',
  SET_botRightPanelViewSize = 'doExerciseSiteReducer_SET_botRightPanelViewSize',
  SET_botLeftPanelViewSize = 'doExerciseSiteReducer_SET_botLeftPanelViewSize',


  //async one
  SET_shouldNotCountParticipation = 'doExerciseSiteReducer_SET_shouldNotCountParticipation',
  SET_shouldNotCountParticipation_PENDING = 'doExerciseSiteReducer_SET_shouldNotCountParticipation_PENDING',
  SET_shouldNotCountParticipation_FULFILLED = 'doExerciseSiteReducer_SET_shouldNotCountParticipation_FULFILLED',
  SET_shouldNotCountParticipation_REJECTED = 'doExerciseSiteReducer_SET_shouldNotCountParticipation_REJECTED',

  RUN_test = 'doExerciseSiteReducer_RUN_test',
  RUN_test_PENDING = 'doExerciseSiteReducer_RUN_test_PENDING',
  RUN_test_FULFILLED = 'doExerciseSiteReducer_RUN_test_FULFILLED',
  RUN_test_REJECTED = 'doExerciseSiteReducer_RUN_test_REJECTED',

  RUN_customTest = 'doExerciseSiteReducer_RUN_customTest',
  RUN_customTest_PENDING = 'doExerciseSiteReducer_RUN_customTest_PENDING',
  RUN_customTest_FULFILLED = 'doExerciseSiteReducer_RUN_customTest_FULFILLED',
  RUN_customTest_REJECTED = 'doExerciseSiteReducer_RUN_customTest_REJECTED',

  RUN_compileSingleFile = 'doExerciseSiteReducer_RUN_compileSingleFile',
  RUN_compileSingleFile_PENDING = 'doExerciseSiteReducer_RUN_compileSingleFile_PENDING',
  RUN_compileSingleFile_FULFILLED = 'doExerciseSiteReducer_RUN_compileSingleFile_FULFILLED',
  RUN_compileSingleFile_REJECTED = 'doExerciseSiteReducer_RUN_compileSingleFile_REJECTED',

  JUST_RUN_program = 'doExerciseSiteReducer_JUST_RUN_program',
  JUST_RUN_program_PENDING = 'doExerciseSiteReducer_JUST_RUN_program_PENDING',
  JUST_RUN_program_FULFILLED = 'doExerciseSiteReducer_JUST_RUN_program_FULFILLED',
  JUST_RUN_program_REJECTED = 'doExerciseSiteReducer_JUST_RUN_program_REJECTED',

  UPDATE_doExerciseSolution = 'doExerciseSiteReducer_UPDATE_doExerciseSolution',
  UPDATE_doExerciseSolution_PENDING = 'doExerciseSiteReducer_UPDATE_doExerciseSolution_PENDING',
  UPDATE_doExerciseSolution_FULFILLED = 'doExerciseSiteReducer_UPDATE_doExerciseSolution_FULFILLED',
  UPDATE_doExerciseSolution_REJECTED = 'doExerciseSiteReducer_UPDATE_doExerciseSolution_REJECTED',

  GET_doExercise_solutionVersion = 'doExerciseSiteReducer_GET_doExercise_solutionVersion',
  GET_doExercise_solutionVersion_PENDING = 'doExerciseSiteReducer_GET_doExercise_solutionVersion_PENDING',
  GET_doExercise_solutionVersion_FULFILLED = 'doExerciseSiteReducer_GET_doExercise_solutionVersion_FULFILLED',
  GET_doExercise_solutionVersion_REJECTED = 'doExerciseSiteReducer_GET_doExercise_solutionVersion_REJECTED',

  GET_allTestResults = 'doExerciseSiteReducer_GET_allTestResults',
  GET_allTestResults_PENDING = 'doExerciseSiteReducer_GET_allTestResults_PENDING',
  GET_allTestResults_FULFILLED = 'doExerciseSiteReducer_GET_allTestResults_FULFILLED',
  GET_allTestResults_REJECTED = 'doExerciseSiteReducer_GET_allTestResults_REJECTED',

  GET_singleNormalTestResults = 'doExerciseSiteReducer_GET_singleNormalTestResults',
  GET_singleNormalTestResults_PENDING = 'doExerciseSiteReducer_GET_singleNormalTestResults_PENDING',
  GET_singleNormalTestResults_FULFILLED = 'doExerciseSiteReducer_GET_singleNormalTestResults_FULFILLED',
  GET_singleNormalTestResults_REJECTED = 'doExerciseSiteReducer_GET_singleNormalTestResults_REJECTED',

  GET_singleCustomTestResults = 'doExerciseSiteReducer_GET_singleCustomTestResults',
  GET_singleCustomTestResults_PENDING = 'doExerciseSiteReducer_GET_singleCustomTestResults_PENDING',
  GET_singleCustomTestResults_FULFILLED = 'doExerciseSiteReducer_GET_singleCustomTestResults_FULFILLED',
  GET_singleCustomTestResults_REJECTED = 'doExerciseSiteReducer_GET_singleCustomTestResults_REJECTED',

  GET_allAfterTestResults = 'doExerciseSiteReducer_GET_allAfterTestResults',
  GET_allAfterTestResults_PENDING = 'doExerciseSiteReducer_GET_allAfterTestResults_PENDING',
  GET_allAfterTestResults_FULFILLED = 'doExerciseSiteReducer_GET_allAfterTestResults_FULFILLED',
  GET_allAfterTestResults_REJECTED = 'doExerciseSiteReducer_GET_allAfterTestResults_REJECTED',

  GET_singleAfterNormalTestResult = 'doExerciseSiteReducer_GET_singleAfterNormalTestResult',
  GET_singleAfterNormalTestResult_PENDING = 'doExerciseSiteReducer_GET_singleAfterNormalTestResult_PENDING',
  GET_singleAfterNormalTestResult_FULFILLED = 'doExerciseSiteReducer_GET_singleAfterNormalTestResult_FULFILLED',
  GET_singleAfterNormalTestResult_REJECTED = 'doExerciseSiteReducer_GET_singleAfterNormalTestResult_REJECTED',

  GET_singleAfterCustomTestResult = 'doExerciseSiteReducer_GET_singleAfterCustomTestResult',
  GET_singleAfterCustomTestResult_PENDING = 'doExerciseSiteReducer_GET_singleAfterCustomTestResult_PENDING',
  GET_singleAfterCustomTestResult_FULFILLED = 'doExerciseSiteReducer_GET_singleAfterCustomTestResult_FULFILLED',
  GET_singleAfterCustomTestResult_REJECTED = 'doExerciseSiteReducer_GET_singleAfterCustomTestResult_REJECTED',

  GET_singleAfterSubmitTestResult = 'doExerciseSiteReducer_GET_singleAfterSubmitTestResult',
  GET_singleAfterSubmitTestResult_PENDING = 'doExerciseSiteReducer_GET_singleAfterSubmitTestResult_PENDING',
  GET_singleAfterSubmitTestResult_FULFILLED = 'doExerciseSiteReducer_GET_singleAfterSubmitTestResult_FULFILLED',
  GET_singleAfterSubmitTestResult_REJECTED = 'doExerciseSiteReducer_GET_singleAfterSubmitTestResult_REJECTED',

  GET_doExercise = 'doExerciseSiteReducer_GET_doExercise',
  GET_doExercise_PENDING = 'doExerciseSiteReducer_GET_doExercise_PENDING',
  GET_doExercise_FULFILLED = 'doExerciseSiteReducer_GET_doExercise_FULFILLED',
  GET_doExercise_REJECTED = 'doExerciseSiteReducer_GET_doExercise_REJECTED',

  DELETE_customTest = 'doExerciseSiteReducer_DELETE_customTest',
  DELETE_customTest_PENDING = 'doExerciseSiteReducer_DELETE_customTest_PENDING',
  DELETE_customTest_FULFILLED = 'doExerciseSiteReducer_DELETE_customTest_FULFILLED',
  DELETE_customTest_REJECTED = 'doExerciseSiteReducer_DELETE_customTest_REJECTED',

  GET_submitTestResults = 'doExerciseSiteReducer_GET_submitTestResults',
  GET_submitTestResults_PENDING = 'doExerciseSiteReducer_GET_submitTestResults_PENDING',
  GET_submitTestResults_FULFILLED = 'doExerciseSiteReducer_GET_submitTestResults_FULFILLED',
  GET_submitTestResults_REJECTED = 'doExerciseSiteReducer_GET_submitTestResults_REJECTED',

  GET_singleSubmitTestResults = 'doExerciseSiteReducer_GET_singleSubmitTestResults',
  GET_singleSubmitTestResults_PENDING = 'doExerciseSiteReducer_GET_singleSubmitTestResults_PENDING',
  GET_singleSubmitTestResults_FULFILLED = 'doExerciseSiteReducer_GET_singleSubmitTestResults_FULFILLED',
  GET_singleSubmitTestResults_REJECTED = 'doExerciseSiteReducer_GET_singleSubmitTestResults_REJECTED',

  GET_afterSubmitTestResults = 'doExerciseSiteReducer_GET_afterSubmitTestResults',
  GET_afterSubmitTestResults_PENDING = 'doExerciseSiteReducer_GET_afterSubmitTestResults_PENDING',
  GET_afterSubmitTestResults_FULFILLED = 'doExerciseSiteReducer_GET_afterSubmitTestResults_FULFILLED',
  GET_afterSubmitTestResults_REJECTED = 'doExerciseSiteReducer_GET_afterSubmitTestResults_REJECTED',

  SET_isCustomTestDialogDisplayed = 'doExerciseSiteReducer_SET_isCustomTestDialogDisplayed',
  SET_isViewTestDialogDisplayed = 'doExerciseSiteReducer_SET_isViewTestDialogDisplayed',
  SET_isCodeEditorSettingsDialogDisplayed = 'doExerciseSiteReducer_SET_isCodeEditorSettingsDialogDisplayed',

  GET_doExercise_afterSolution = 'doExerciseSiteReducer_GET_afterSolution',
  GET_doExercise_afterSolution_PENDING = 'doExerciseSiteReducer_GET_afterSolution_PENDING',
  GET_doExercise_afterSolution_FULFILLED = 'doExerciseSiteReducer_GET_afterSolution_FULFILLED',
  GET_doExercise_afterSolution_REJECTED = 'doExerciseSiteReducer_GET_afterSolution_REJECTED',

  //create or update
  UPDATE_doExercise_afterSolution = 'doExerciseSiteReducer_UPDATE_afterSolution',
  UPDATE_doExercise_afterSolution_PENDING = 'doExerciseSiteReducer_UPDATE_afterSolution_PENDING',
  UPDATE_doExercise_afterSolution_FULFILLED = 'doExerciseSiteReducer_UPDATE_afterSolution_FULFILLED',
  UPDATE_doExercise_afterSolution_REJECTED = 'doExerciseSiteReducer_UPDATE_afterSolution_REJECTED',

  SET_isLoading = 'doExerciseSiteReducer_SET_isLoading',
  SET_isOnGotFocusInterceptionOverlayDisplayed = 'doExerciseSiteReducer_SET_isOnGotFocusInterceptionOverlayDisplayed',

  RESET_TestResults = 'doExerciseSiteReducer_RESET_TestResults',
  RESET_AfterTestResults = 'doExerciseSiteReducer_RESET_AfterTestResults',

  RESET_userSolution = 'doExerciseSiteReducer_RESET_userSolution',
  RESET_userSolution_PENDING = 'doExerciseSiteReducer_RESET_userSolution_PENDING',
  RESET_userSolution_FULFILLED = 'doExerciseSiteReducer_RESET_userSolution_FULFILLED',
  RESET_userSolution_REJECTED = 'doExerciseSiteReducer_RESET_userSolution_REJECTED',

  UPDATE_lockSolutionsFlag = 'doExerciseSiteReducer_UPDATE_lockSolutionsFlag',
  UPDATE_lockSolutionsFlag_PENDING = 'doExerciseSiteReducer_UPDATE_lockSolutionsFlag_PENDING',
  UPDATE_lockSolutionsFlag_FULFILLED = 'doExerciseSiteReducer_UPDATE_lockSolutionsFlag_FULFILLED',
  UPDATE_lockSolutionsFlag_REJECTED = 'doExerciseSiteReducer_UPDATE_lockSolutionsFlag_REJECTED',


  SET_isAddCustomTestAssetFilesModalDisplayed = 'doExerciseSiteReducer_SET_isAddCustomTestAssetFilesModalDisplayed',
  SET_addCustomTestAssetFilesModalFilterText = 'doExerciseSiteReducer_SET_addCustomTestAssetFilesModalFilterText',
  SET_addCustomTestAssetFilesModalUploadPercentage = 'doExerciseSiteReducer_SET_addCustomTestAssetFilesModalUploadPercentage',

  GET_allUserAssetPreviews = 'doExerciseSiteReducer_GET_allUserAssetPreviews',
  GET_allUserAssetPreviews_PENDING = 'doExerciseSiteReducer_GET_allUserAssetPreviews_PENDING',
  GET_allUserAssetPreviews_FULFILLED = 'doExerciseSiteReducer_GET_allUserAssetPreviews_FULFILLED',
  GET_allUserAssetPreviews_REJECTED = 'doExerciseSiteReducer_GET_allUserAssetPreviews_REJECTED',

  ATTACH_customTestAssetPreview = 'doExerciseSiteReducer_ATTACH_customTestAssetPreview',
  ATTACH_customTestAssetPreview_PENDING = 'doExerciseSiteReducer_ATTACH_customTestAssetPreview_PENDING',
  ATTACH_customTestAssetPreview_FULFILLED = 'doExerciseSiteReducer_ATTACH_customTestAssetPreview_FULFILLED',
  ATTACH_customTestAssetPreview_REJECTED = 'doExerciseSiteReducer_ATTACH_customTestAssetPreview_REJECTED',

  DETACH_customTestAssetPreview = 'doExerciseSiteReducer_DETACH_customTestAssetPreview',
  DETACH_customTestAssetPreview_PENDING = 'doExerciseSiteReducer_DETACH_customTestAssetPreview_PENDING',
  DETACH_customTestAssetPreview_FULFILLED = 'doExerciseSiteReducer_DETACH_customTestAssetPreview_FULFILLED',
  DETACH_customTestAssetPreview_REJECTED = 'doExerciseSiteReducer_DETACH_customTestAssetPreview_REJECTED',

  SET_lastKnownEditorContent = 'doExerciseSiteReducer_SET_lastKnownEditorContent',

  RESET = 'doExerciseSiteReducer_RESET',
}
