import {getValidationMessagesCollection} from "../../../validation/validations";
import {getI18n} from "../../../../i18n/i18nRoot";
import globalState from "../../state";
import {State} from "./editorSettingsReducer";

export const validationMessageKeys = getValidationMessagesCollection<State>({
  id: '',
  theme: getI18n(globalState.getState().i18nState.langId,'Invalid editor theme'),
  fontSize: '',
  highlightCurrentLine: '',
  showInvisibles: '',
  showLineNumbers: '',
  tabSize: '',
  useWrapping: '',
  showLineIndentions: '',
})