import {KnownLangs} from "../../../i18n/i18nRoot";
import {createAction, createReducer} from "../reducerHelper";

export type State = {
  readonly langId: KnownLangs
}

export const initial: State = {
  langId: KnownLangs.english,
}

export const resetAction = createAction('i18nReducer_reset', () => {
}, (state: State, action) => {
  return initial
})


export const reducer = createReducer(initial, resetAction)
