import {Action} from 'redux'

export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  GET_languages = 'settingsSite_GET_languages',
  GET_languages_PENDING = 'settingsSite_GET_languages_PENDING',
  GET_languages_FULFILLED = 'settingsSite_GET_languages_FULFILLED',
  GET_languages_REJECTED = 'settingsSite_GET_languages_REJECTED',

  CREATE_lang = 'langReducer_CREATE_lang',
  CREATE_lang_PENDING = 'langReducer_CREATE_lang_PENDING',
  CREATE_lang_FULFILLED = 'langReducer_CREATE_lang_FULFILLED',
  CREATE_lang_REJECTED = 'langReducer_CREATE_lang_REJECTED',

  UPDATE_lang = 'langReducer_UPDATE_lang',
  UPDATE_lang_PENDING = 'langReducer_UPDATE_lang_PENDING',
  UPDATE_lang_FULFILLED = 'langReducer_UPDATE_lang_FULFILLED',
  UPDATE_lang_REJECTED = 'langReducer_UPDATE_lang_REJECTED',

  DELETE_lang = 'langReducer_DELETE_lang',
  DELETE_lang_PENDING = 'langReducer_DELETE_lang_PENDING',
  DELETE_lang_FULFILLED = 'langReducer_DELETE_lang_FULFILLED',
  DELETE_lang_REJECTED = 'langReducer_DELETE_lang_REJECTED',


  SET_editingLangId = 'langReducer_SET_editingLangId',

  SET_Lang_displayName = 'langReducer_SET_Lang_displayName',
  SET_Lang_langShortcut = 'langReducer_SET_Lang_langShortcut',
}

