import {PanelViewSize} from '../components/panelSystem/panelGrid/panelGrid'


/**
 * some common props for the panel system
 * we probably can refactor this something similar to {@link ScrollPositionManager}
 * so we don't need to repeat this for every site and maybe not to repeat the redux stuff?
 */
export interface PanelSystemStateAddition {
  readonly topRightSelectedTabIndex: number
  readonly topLeftSelectedTabIndex: number
  readonly bottomRightSelectedTabIndex: number
  readonly bottomLeftSelectedTabIndex: number

  readonly topRightPanelViewSize: PanelViewSize
  readonly topLeftPanelViewSize: PanelViewSize
  readonly botRightPanelViewSize: PanelViewSize
  readonly botLeftPanelViewSize: PanelViewSize

  readonly hDividerPosOffset: number
  readonly vDividerPosOffset: number
}
