/**
 * Created by janis dähne.
 */


/**
 * a tag / keyword to describe things
 */
export interface TagFullBase {
  readonly id:number
  /**
   * the display name
   */
  readonly displayName:string

  /**
   * the description (e.g. displayed as tooltip) of this tag
   */
  readonly description: string | null

  /**
   * the color to use
   *
   */
  readonly htmlColor: string | null

  /**
   * the background color to use
   */
  readonly htmlBackgroundColor: string | null

  /**
   * the icon to display
   */
  readonly htmlIcon: string | null

}